Installation Media - Bug #1520
Bug # 803 (open): [EPIC]: grapichal installation for parabola LivelSOs

install 'os-prober’ on LivelSOs
2017-11-10 08:25 PM - mono

Status: fixed % Done: 0%
Priority: feature

Assignee: bill-auger

Category:

Description

Hola:

El instalador del gestor de arranque no detecta otros sistemas operativos y pienso que seria util que lo haga y esto creo que se
habilita con el paquete os-prober, también creo que seria bueno instalar por defecto el update-grub.

Hello:

The installer of the agent of start does not detect other operating systems and think that it would be util that do it and this think that
enables with the package you-prober, also think that serious well install by defect the update-grub. (translated on apertium.org)

History

#1 -2017-11-10 08:36 PM - Megver83

| maintain update-grub at [pcr]. However, there's no reason for installing it by default. The thing KISS philosophy works like this: you need sth, you
install it, you don't need it, you don't install it simply. The point is that not everyone might need os-prober and update-grub by default, however
os-prober is listed as an optional dependency for grub, and we can put update-grub in that category too if needed

#2 -2017-11-10 11:36 PM - mono

Megver83 wrote:

| maintain update-grub at [pcr]. However, there's no reason for installing it by default. The thing KISS philosophy works like this: you need sth,
you install it, you don't need it, you don't install it simply. The point is that not everyone might need os-prober and update-grub by default,
however os-prober is listed as an optional dependency for grub, and we can put update-grub in that category too if needed

yo sugiero instalar os-prober en la iso systemd-Ixde porque al instalar con calamares se sobreescribe el gestor de arranque existente en el disco
duro y las otras distribuciones quedan inaccesibles por defecto ya que solo queda la de la instalacion. No estaba pensando que se cambiara de
repositorio estos paquetes.

i suggest os-prober by default on the systemd-Ixde iso because when installing with Calamares that overwrite the boot loader existent on the hard
disk and the others distributions remain inaccessible by defect, since only it remains the one of the recent instalacion. | was not thinking that it
changed these packages of repository.

#3 - 2017-11-11 05:05 PM - bill-auger

i agree that os-prober should be used with calamares - i have had some trouble with calamares during development when os-prober is installed
though so i have not installed it yet on any ISOs

#4 - 2017-11-11 05:07 PM - bill-auger

- Subject changed from mybe os-prober and update-grub to install ‘os-prober' on ISOs that include calamares

#5 - 2018-01-09 09:43 PM - bill-auger
- Parent task set to #803

- Subject changed from install 'os-prober' on ISOs that include calamares to install 'os-prober' on LivelSOs

#6 - 2018-01-09 09:46 PM - bill-auger

- Assignee set to bill-auger

#7 - 2018-01-09 09:50 PM - bill-auger

- Status changed from open to in progress
#8 - 2018-06-29 06:30 AM - bill-auger

- Status changed from in progress to fixed
